> ## Documentation Index
> Fetch the complete documentation index at: https://docs.api.arcstudiopro.com/llms.txt
> Use this file to discover all available pages before exploring further.

# API reference

> Arc Studio v1 API endpoints and conventions.

Base URL: `https://api.arcstudiopro.com`

Authenticate every request:

```http theme={null}
Authorization: Bearer YOUR_API_KEY
```

## Endpoints

| Endpoint                                                                              | Description                                 |
| ------------------------------------------------------------------------------------- | ------------------------------------------- |
| [List scripts](/api-reference/endpoints/list-scripts)                                 | List scripts in a project                   |
| [Get script](/api-reference/endpoints/get-script)                                     | Get script metadata and snapshots           |
| [List snapshots](/api-reference/endpoints/list-snapshots)                             | List snapshot metadata                      |
| [Get snapshot](/api-reference/endpoints/get-snapshot)                                 | Get one snapshot metadata object            |
| [Get snapshot document](/api-reference/endpoints/get-snapshot-document)               | Get a fixed document as JSON or Markdown    |
| [Get latest snapshot document](/api-reference/endpoints/get-latest-snapshot-document) | Get the latest document as JSON or Markdown |

Use [Data model](/api-reference/data) for object shapes and rich text details.

## Errors

```json theme={null}
{
  "error": {
    "type": "invalid_request_error",
    "code": "script_not_found",
    "message": "No script found for that id.",
    "request_id": "req_..."
  }
}
```
